> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# extapp

> GenericMDOProvider reads MDO lists with default settings

## "extapp" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'extapp'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/extapp
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("extapp", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                  | StyleHint | ExtraInfo |
| -- | --------------------- | --------- | --------- |
| 3  | Create External Users |           |           |
| 2  | Echo                  |           |           |
| 1  | Notepad               |           |           |

## Related MDO Lists

* "extappheadings"
* "extappheadingswithallitem"
* "extappheadingswithallitemwithnoselection"
* "extappheadingswithnoselection"
* "extappwithallitem"
* "extappwithallitemwithnoselection"
* "extappwithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList.md)
- [ExtApp table](/en/database/tables/extapp.md)
- [ExtAppHeadingLink table](/en/database/tables/extappheadinglink.md)
- [ExtAppGroupLink table](/en/database/tables/extappgrouplink.md)
- [SuperOffice.WebApi.Data.ExtAppEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.ExtAppEntity.md)
- [SuperOffice.WebApi.Agents.IListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IListAgent.md)
